org.apache.hadoop.mapred.lib

## Class CombineFileSplit

- java.lang.Object
- - org.apache.hadoop.mapreduce.InputSplit
  - - org.apache.hadoop.mapreduce.lib.input.CombineFileSplit
    - - org.apache.hadoop.mapred.lib.CombineFileSplit

- All Implemented Interfaces:
    org.apache.hadoop.io.Writable, InputSplit
  Direct Known Subclasses:
    MultiFileSplit

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class CombineFileSplit
      extends CombineFileSplit
      implements InputSplit

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CombineFileSplit()`
    `CombineFileSplit(CombineFileSplit old)` Copy constructor
    `CombineFileSplit(JobConf job, org.apache.hadoop.fs.Path[] files, long[] lengths)`
    `CombineFileSplit(JobConf job, org.apache.hadoop.fs.Path[] files, long[] start, long[] lengths, String[] locations)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JobConf` | `getJob()`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.input.CombineFileSplit

      `getLength, getLength, getLengths, getLocations, getNumPaths, getOffset, getPath, getPaths, getStartOffsets, readFields, toString, write`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.InputSplit

      `getLocationInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.mapred.InputSplit

      `getLength, getLocations`

    - ### Methods inherited from interface org.apache.hadoop.io.Writable

      `readFields, write`

- - ### Constructor Detail

    - #### CombineFileSplit

          public CombineFileSplit()

    - #### CombineFileSplit

          public CombineFileSplit(JobConf job,
                                  org.apache.hadoop.fs.Path[] files,
                                  long[] start,
                                  long[] lengths,
                                  String[] locations)

    - #### CombineFileSplit

          public CombineFileSplit(JobConf job,
                                  org.apache.hadoop.fs.Path[] files,
                                  long[] lengths)

    - #### CombineFileSplit

          public CombineFileSplit(CombineFileSplit old)
                           throws IOException

      Copy constructor
      Throws:
        `IOException`

  - ### Method Detail

    - #### getJob

          public JobConf getJob()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.